( * Sensor support for 3-instruction Forth - Assad Ebrahim - 2020-07-25---Sat---21:06 )
( Included: Laser, PIR sensor )

14 constant BUZZER  \ A3

2 constant BUTTON
3 constant LED
13 constant SPEAKER
6  constant LASER



\ child friendly - 5 yr old Adam
: h hi ;
: l lo ;

: start-sensors 
	button pullup
	led out
	buzzer out
	speaker out
	led hi
	300 ms
	buzzer hi
	300 ms
	buzzer lo
	led lo
;

\ ========================================================
( * LASER - output * )

: laser-init
	LASER out 
	50 ms
;

: laser-on LASER hi ;
: laser-off LASER lo ;
: laser-flash 10 0 do laser-on 1500 ms laser-off 1500 ms loop ;


\ ========================================================

\ HC-SR501 - PIR Motion Sensor - Seeing Eye (Infrared)
\ LATER: combine with UM-3561 SIREN IC (need 3.3V "on" signal.  Could use a resistor to step down to 3.3V from 5V

: PIR-init 
    12 in  \ PIR output sensor (detect is high) 
    13 out \ to 5V buzzer
;

: read-PIR  cr begin 12 pinread if ." Detect!" cr 13 hi else 13 lo then 0 until ;





\ ========================================================


\ =================================================

: help-sensors
  cr
  cr  ." SENSORS (help-sensors)"
  cr  
  cr  ." include 3iForth.fs  3iSensor.fs"
  cr  ." 1 open-com   rx"
  cr
  cr  ." LASER"
  cr
  cr  ." PIR sensor"  
  cr  
  cr  ." (for 4x4 matrix keypad see 3iKeypad.fs)"
  cr
;

help-keypad
