\ 3iSongs.fs  - Assad Ebrahim - 2021-09-06---Mon---01:16 (extracted from SongList.fs)
\ -- 2021-10-13---Wed---05:09 - overhauling note, rest timing system
\ ================== PLAYLIST ==================
\ Design: each piece must end on the same octave that started, otherwise the LEARN mode will start off on the wrong octave after [writesong]

\ Testing:  
\  twinkle-chords
\  silence-2voice

\ Classical Pieces
\ https://www.youtube.com/watch?v=VfPGNafN8K8
\ https://www.google.com/search?client=firefox-b-d&q=simple+classical+tunes

: new-harp  \ 0 [transpose]  8 uniqs
    cr ." Y Delyn Newydd - The New Harp (Trad. Welsh)"
    cr ."    ... considered a Welsh Polka, with two others forming a trio: Pwt-ar-y-bys and Pant Corlan yr Wyn"
   240 bpm 
   cstd
   3 2 1 2 3 // 5 // 5 // 4 // 4 ///
   4 3 2 3 4 // 6 // 6 // 5 // 5 ///
   3 2 1 2 3 // 5 // 5 // 4 // 4 ///
   4 3 2 // 4 3 2 // 3 1 1 ///
   8 // 7 // 6 // 5 // 
   8 // 7 // 6 // 5 // 
   8 // 7 // 6 // 5 // 4 // 3 // 2 ///
   7 // 6 // 5 ///
   7 // 6 // 5 /// 
   7 // 6 // 5 // 4 // 3 // 2 // 1 ///
110
; 


: ode   \ 0 [transpose], 8 uniqs
    cr ." Ode to Joy, by Ludwig van Beethoven, Symphony No. 9 in D Minor, Op 125 (1822)"
    cr ."    ... this was the final complete symphony by Beethoven 3 years before his death"
    cstd
    180 bpm
    3 3 4 5 5 4 3 2 1 1 2 3 3 // 2 2 ///
    3 3 4 5 5 4 3 2 1 1 2 3 2 // 1 1 ///
    2 2 3 1  2 3 4 3 1    2 3 4 3 2 1 2 << 5 >> ///
    3 3 4 5 5 4 3 2 1 1 2 3 2 // 1 1   ///
71
;

\ Bach: Jesu, Joy of Man's Desiring  (Jesu, bleibet meine Freude) BWV 147/10, Last chorus of the cantata Herz und Mund und Tat und Leben BWV 147, 14:13
\ History and Evolution: https://artandtheology.org/2017/12/17/the-evolution-of-jesu-joy-of-mans-desiring/
\ https://www.youtube.com/watch?v=6ZKGD2IIhjk
\ Cello, Guitar Duo: https://www.youtube.com/watch?v=KialZHRdD7A
\ Piano (liquid legato): https://www.youtube.com/watch?v=uKq5IcBFyeQ
\ Organ: https://www.youtube.com/watch?v=2uXn6nDN7ck    
\ Jesus, joy of man's desiring 
\ Holy wisdom, love most bright 
\ Drawn by Thee, our souls aspiring Soar to uncreated light 
\ Word of God, our flesh that fashioned 
\ With the fire of life impassioned 
\ Striving still to Truth unknown Soaring, dying 'round Thy throne
: jesu-c  \ 0 [transpose] 8 uniqs
  cr ." Jesu Joy of Man's Desiring, by Johann Sebastian Bach, 1723"
  cstd
  240 bpm
  1 2 3 5 4 4 6 5 5 8 7 8 5 3 1 2 3 4 2 << 7  5 6 7 >>
  1 2 3 5 4 4 6 5 5 8 7 8 5 3 1 2 3 4 5 6 5 3 2 << 5 >> 1 << 7 >> 1
  56
;

: jesu-g  \ high \ 0 [transpose]
  cstd
  240 bpm
  5 6 7 >> 2 1 1 3 2 2 5 4# 5 2 << 7 5 6 7 8 6 5 2 5 4# 
  5 6 7 >> 2 1 1 3 2 2 5 4# 5 2 << 7 5 6 7 8 6 5 2 5 4# 
  5
  51
;

: jesu-loop  begin jesu-c [watch] jesu-g [watch] key? until ;  \ BUG!!! Why is there a slight pause in between songs?  Is it stack load delay?

: jesu   jesu-c >r jesu-g r> + ;

: classic1  
  cr ." Classical Music Unknown #1"
cstd
240 bpm
1 2 3 4 5 // 1 1 // 6 4 5 6 7 8 // 1 1 // 4 // 5 4 3 2 3 // 4 3 2 1 2 // 3 2 1 << 7 >> 1 ///
>> 5 // 1 2 3 4 5 // 1 // 1 // 6 // 3 4 5 6 7 8 // 1 // 1 // 4 // 5 4 3 2 3 // 4 3 2 1 2 // 3 2 1 << 7 8 ///
88
;



\ Fur Elise
\ https://www.sheetmusicdirect.com/en-US/se/ID_No/433968/Product.aspx
: elise  \ 0 [transpose], 12 uniqs
  cr ." Fur Elise, by Ludwig van Beethoven"
  cstd
  240 bpm
  >> 3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 5# 7 >> 1 //
  3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 >> 1 << 7 6 ///
  
  7 >> 1 2 3 << 3 >> 4 3 2 << 3 >> 3 2 1  << 3 >> 2 1 << 7 >> 3 3 3 3 

  3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 5# 7 >> 1  ///
  3 2# 3 2# 3 << 7 >> 2 1 << 6
  << 3 6  >> 1 3 6 7     3 >> 1 << 7 6 /// 
136
;


\ Canon in D, by Johann Pachelbel  00:00 - 4:45
\ https://www.sheetmusicdirect.com/en-US/se/ID_No/103307/Product.aspx
: canon  \ -1 ntranspose
  cr ." Canon in D, by Johann Pachelbel"
  cstd
  240 bpm
  4 // 6% // 4 // 2% // 4 // 2% // 4# //  5# //
  >> 4 // 3% // 2% // 1 << // 7% // 6% // 7% // 8 8# 
  >> 4 // 3% 5% 4 3% 2% 1 // 5% // 6% << 
48
;

\ CODE-REVIEW: this should be easy to figure out playing in the dmin scale!  8 7 8 
: toccata 
  cr ." Toccata in D minor, by Bach"
  cstd
  540 bpm
  6 /// 5 4 3 2 2% /// 2 ///
10  
;

\ Beethoven: Moonlight Sonata


\ FAMOUS POP TUNES

: memory  \ 0 [transpose], 10 uniqs
    cr ." Memory (from the musical Cats), by Andrew Lloyd Weber, first sung by Elaine Page (1981), also covered by Barbara Streisand (1981)"
    cr ."    ... the song is sung by the cat Grizabella"
    180 bpm
    cstd
    8 // 8 //
    7 8 >> 2 << 8 6 8 // 8 //
    7 8 >> 2 << 8 5 6 // 6 //
    4 5 6 5 4 3 ///
    3 5 5 // 2      //
    3 4 5 6 7 8 7 6 5 ///
    3 // 1 5 ///
    << 6 6 >> // 1 1 ///
62
;

\ EXAMPLE of how use of scales allows converting a "difficult" piece requiring use of chromatic (13-note) scale into something simpler using a different diatonic (8-note) scale
: stairway-std
  cstd
  120 bpm
  4 5 6% 5 4 5    //
  4 5 6% 7% 6% 5  // 
  6% 7% 8 7% 6% 5 4 3% 3% 4 4  ///
  4 >> 1# << 8 ///
32
; 

: stairway-alt  \ using the black keys
  cstd
  120 bpm
  3% 4 5% 4 3% 4
  3% 4 5% 6% 5% 4 
  5% 6% 7% 6% 5% 4 3% 2% 2% 3% 3%
  3% 7 7%
26
;  


: stairway
  cr ." Stairway to Heaven, by Led Zeppelin"
  cr ." switching to D% major (5-flats) scale starting at A" cr 500 ms
  4flats-stairway \ slid down one note to hit the "alarmed now", 8 uniqs
  140 bpm
   
   3 4 5 4 3 4   // \ there's a lady who's sure
   3 4 5 6 5 4   // \  all that glitters is gold
   5 6 7 6 5 4 3 2 2 3 3  // \ and she's buying a stairway to heaven
   3 8 7 ///

   3 4 5 4 3 4  // \ when she gets there she'll know
   3 4 5 6 5 4  // \ if the stores are all closed
   5 6 7 6 5 4 3 2 2 3 3  // \ with a word she can get what she came for
   3 8 7 ///

   5 // 7 6 // 6 5 4 5 3  \ oooo 
   3 4 5 6 7 6 5 4 3 2 2 3 3  /// \ and she's buying a stairway to heaven

///

\ Verse 2   
   3 4 5 4 3 4   // \ there's a sign on the wall
   3 4 5 6 5 4   // \  but she wants to be sure
   5 6 7 6 5 4 3 2 2 3 3  // \ cause you know sometimes words have two meanings
   3 8 7 ///

   3 4 5 4 3 4  // \ in a tree by the brook
   3 4 5 6 5 4  // \ there's a songbird who sings
   5 6 7 6 5 4 3 2 2 3 3  // \ sometimes all of our thoughts are misgiven
   3 8 7 ///

   5 // 7 6 // 6 5 4 5 3  \ oooo 
   3 4 5 6 7 6 5 4 3 2 2 3 3  /// \ and she's buying ... heaven
  ///

   7 6 5 6 3 3 2 3 5  // \ if there's a rustle ...
   3 3 2 3 1  //   \ don't be alarmed now 
   5 5 7 6 5 4 // 2 5 2 3 /// \ it's just a spring clean for the may queen

   7 6 5 6 3 3 2 3 5 //  \ dear lady ...
   3 2 3 1 //  \ and do you know ...
   5 5 7 6 5 3 // 5 2 2 3 /// \ ... whispering wind   
   /// 
   
   5 // 7 6 // 6 5 4 5 3  \ oooo 
   3 4 5 6 7 6 5 4 3 2 2 3 3  /// \ and she's buying ... heaven
  ///

   5 /// 6 /// 7 /// //
   6 /// 5 /// 4 /// 5 /// 4 ///
   2 // 5 // 2 // 3  /// \ and she's buying ... heaven
276
;

\ also works in the 5flats scale (D% major), starting with note 2
\ also works in cstd starting with note 2 D without any sharps or flats


\ abba I have a dream
: dream   \ or 1 flat (F major)  \ -1 [ntranpose] or 11 [ntranspose],   10 uniqs
    cr ." I have a dream, by Abba"
    cr ." Switching to D% major (5-flats) scale starting at A" cr 500 ms
    5flats-dream
    180 bpm
1 // 6 // 5 7 ///
1 // 4 // 3 4 ///
1 // 6 // 5 7 ///
5 // 4 3 4 ///
6 // 7 8 >> // 2 1 << 5 ///
5 // 6 7 // 8 6 ///
6 // 7 8 >> // 2 << 8 5 ///
5 // 6 7 // 8 6 ///
>> 1 // 2 3 // 4 3 << 7 ///
7 8 >>  2 3 2 // 1 << 7 // 6 8 8 ///
>> 1 // 2 3 // 4 3 << 7  /// 
7 8 >> 2 3 2 // 1 << 7 // 6 8 8 // 
1 // 6 // 5 7 ///
1 // 4 // 3 4 ///
131
; 

\  dream  watch
\  songlen@ 11 ntranpose


\ YU -- I see Fire by Ed Sheeran
: fire  \ 0 [transpose], 7 uniqs
cr ." Fire on the Mountain, by Ed Sheeran"
cr ." Soundtrack from The Hobbit part 2: The Desolation of Smaug"
160 bpm
yu8-approx 5 1 cycle-scale  \ starts on key 2 (A_)
2 // 3 4 5 // 4 3 3 2 1 2 ///   \  ohhhh  misty eye ...
2 // 3 4 5 // 4 3 // 3 4 4 ///
2 // 3 4 5 7 // 6 5 4 // 5 4 3 4 3 ///
2 // 3 4 5 4 3 4 // 3 2 1 2 ///
57
;

: hallelujah  \ 0 [transpose], 11 uniqs
cr ." Hallelujah, by Leonard Cohen"
cstd
240 bpm
  3 // 5 // 5 5 // 5 6 6 6 ///
  3 // 5 // 5 5 // 5 5 6 6 6 ///
  6 6 // 6 6 // 6 // 5 5 3 5 5 ///
  3 4 5 // 5 5 // 5 6 // 6 7 ///
  8 8 8 8 8 8 8 8 >> 2 ///
  2 2 2 // 2 // 2 3 3 3 2 2 1 << ///
  
  3 5 6 // 6 // 
  6 5 3 // 3 // 
  3 5 6 // 6 // 
  6 5 3 /// 4 3 2 /// 1 1 ///

  3 5 6 // 6 //
  6 5 3 // 3 // 
  3 5 6 // 6 // 
  6 5 >> 3 // 4 3 2 // 1 << ///
137
;

: wings \ 0 [transpose], 11 uniqs
    cr ." Wind Beneath my Wings, Bette Midler (1988)"
    cr ."   ... Written 1982 by Jeff Silbar/Larry Henley."  
    cr ." Midler recorded it in 1988 and it went on to become #1 in US, #3 in UK, and sell over a million copies"
    cstd
    160 bpm
    << 5 >> 3 // 4 5 4 3 2 1 1 // << 5 6 >> ///
    << 5 >> 3 // 4 5 4 3 2 1 1 ///
    3 4 3 2 1 1 3 2 //
    << 7 7 // 7 6 5 >> ///
    4 3 4 3 2 1 3 2 /// 

    << 5 >> 3 // 4 5 4 3 2 1 1 // << 5 6 >> //
    << 5 >> 3 // 4 5 4 3 2 1 1 ///
    4 3 4 3 2 1 3 2 /// 
    << 7 7 // 7 6 5 >> ///
    4 3 4 3 2 1 6 5 /// 
        
    1 // 6 7 8 7 6 5 4 5 // 3 ///
    1 // 6 7 8 7 6 5 4 5 // 
    1 // 6 7 8 7 6 5 4 5 // 3 2 1  //
    << 5 >> 2 3 4 3 2 1 << 7 >> 1 //
169 
; 

: room   
cr ." In My Room, by The Beach Boys"
cstd
\ In key of Gmaj (1sharp on F)
\ Or +5 ntranspose,  6 uniqs
100 bpm 
  2 2 3 2 4# 4# 5 4# 6 6 7 5 6 ///
  6 4# 3 /// 
  5 4# 2 ///
22
;
   
\ desert-rose 


: the-rose 
cr ." The Rose, by Bette Middler"
cr ." (or play in scale of F major, starting on F, with 1flat [b%])"
\ This is in the key of emaj (4sharps)
\ +1 ntranspose, starts on F instead of E --- scale of fmaj (1flat on B)
cstd
140 bpm
3 4# 3 5#           ///     \ some say love
5# 6 5# 5# 4#       ///     \ it is a river
4# 3                ///     \ that drowns
3 4# 5# 5#          ///     \ the tender reed

3 4# 3 5#           ///     \ some say love
5# 6 5# 5# 4#       ///     \ it is a razor
4# 3                ///     \ that leaves
3 4# 5# 5#          ///     \ your soul to bleed

5# 6 5# 7           ///     \ some say love
7 7 7 7 3           ///     \ it is a hunger
5# 6 5# 4# 3 1# << 7 >> /// \ an endless aching need

3 4# 3 5#           ///     \ i say love
5# 6 5# 5# 4#       ///     \ it is a flower 
4# 3                ///     \ and you
3 4# 3 3            ///     \ it's only seed

7 >> 1# << 7 >> 3   ///     \ when the night 
3 4# 3 3 2#         ///     \ has been too lonely
2# 1# 1#            ///     \ and the road
1# 2# 3 3 << 7      ///     \ has been too long

7 >> 1# << 7 >> 3   ///     \ when you think
3 4# 3 3 2#         ///     \ that love is only
2# 2# 2# 1#         ///     \ for the lucky
2# 3 3 <<           ///     \ and the strong

2# 3 4# 4#          ///     \ just remember
4# 4# 4# 1#         ///     \ in the winter
2# 2# 3             ///     \ far beneath
2# 1# << 7 5# 4#    ///     \ the bitter snow

7 >> 1# 2#          ///     \ lies the seed
2# 3 2# 2# 1#       ///     \ that with the sun's love
1# << 7 7           ///     \ in the spring
7 >> 1# << 7 7 >>   ///     \ becomes the rose
172
;

: green-day  \ 0 [transpose], 3 uniqs
cr ." Let me go Ahhhh by Green Day?"
cstd
240 bpm
  5 7 8 7   5 7 8 7   5 7 8 7  5 // 5 5
16
;

: star-wars  \ 0 [transpose], 6 uniqs
cr ." Star Wars Theme"
cstd
320 bpm
    1 /// 5 /// 4 3 2 8 /// 5 //  4 3 2 8 /// 5 // 4 3 4 2 ///
  1 1 /// 5 /// 4 3 2 8 /// 5 //  4 3 2 8 /// 5 // 4 3 4 2 ///
47
;

: top-gun  \ 0 [transpose], 12 uniqs
cr ." Top Gun Theme"
cstd
180 bpm 
  1 // 5 // 5  //  4 3 4 3 2 // 2 //    1 2 3 2 3 4 3 1 3 2 ///
1 1 // 5 // 5  //  4 3 4 3 2 // 2 //    1 2 3 2 3 4 3 1 5 //
1 2 3 4 5 6 7 >> //
  1 // 5 // 5  //  4 3 4 3 2 // 2 //    1 2 3 2 3 4 3 1 3 2 ///
1 1 // 5 // 5  //  4 3 4 3 2 // 2 //   1 2 3 2 3 4 3 1 5 ///
109
;

: rainbow   \ 0 [transpose], 9 uniqs 
 cr ." Somewhere over the Rainbow, by Izzy Kamakoele"
 cstd 
 160 bpm
    1 // 8 // 7 5 6 7 8 //
    1 // 6 5 ///
    1 // 4 // 3 1 2 3 4 // 2 << 7 8 >> 2 3 1 ///
34
; 

: letitgo \ , 13 uniqs,  or easier with 5flats
cr ." Let It Go, from Frozen, by Idina Menzel"
cstd
240 bpm
6 6 6 // 6 6 6 5 4 4 // 
4 4 5 5 // 5 4 2 ///
2 6 6 6 6 8 8 6 //
5 4 5 5 // 5 4 5 ///

6 6 8 >> 2 1 << 6 8 8 8 7% 6 7% 6 ///
6 5 4 5 // 5 6 5 4 2 ///

5 5 8 8   // 5 5 >> 2 2  ///
2 1 2 2 // 2 2 3 4 3 3 << /// 
5 5 8 8 //   5 5 >> 2 2 ///

2 2 3 4 ///
2 3 4 // 1 1 5 ///
4 5 6 6 // 7% 6 5 4 ///
8 6 5 // 4 4 8 8 6 7% 6 ///
6 6 5 1 8 ///
4 4 3 4 4 4 4 1 1 //
151
;

: reason \ 0 [transpose], 11 uniqs
    cr ." Just Give Me a Reason, by Pink and Nate F."
    cstd
    180 bpm
    6 6 6 6 // 4 5 6 7% 7% 7% 7% 4 ///  \ Right from the start ...
    4 >> 2 /// 2 1 // << 4 6 6  ///
    4 6 6 6 6 6 4 5 6 7% 7% 7% 4 4 ///  \  I let you see...
    4 4 >> 2 /// 2 1 // << 4 6 6 ///
    
    4 >> 4 4 4 3 2 // 5 // 3 // 1 //  4 // 1  ///  \ Now you've been having ...
         4 4 4 3 2 // 5 // 3 // 1 //  4 // 1  ///
       1 4 4 4 3 2 // 5 // 3 // 1 //  4 // 1 // << 7% /// 6 /// 5 /// 6 /// 7% ///
    
    >> 6 6 4 4 1 1 //  \ Just give me a reason ... 
    6 6 5 5 3 3 1 //
    5 5 4 4 4 4 4 3 2 3 // 
    1 1 1 7% 6 5 4 6 
    
    4 4 1 1 //   \  it's in the stars...
    6 6 5 5 3 3 1 // 
    5 5 4 4 4 4 4 3 2 3 // 
    1 1 1 7% 6 5 4 4 // 
    << 
185
;

\ TRADITIONAL

: daffodils  \ 0 transpose or 2 ntranspose] or ** 7 ntranspose, 8 uniqs
    cr ." I Love the Daffodils (English Trad.)"
    cr ."    ... This can be sung as a round, with the second singer starting on the 3rd phrase"
    cstd
    160 bpm
    4 // 4 // 3 2 // 4  // 
    5 5 // 4 3 // 4 5 // 
    6 // 6 // 5 4 // 6 // 
    7% 7% // 6 5 // 6 7% // 
    8 // 8 // 7% 6 // 4 // 7% // 6 5 // 4 3 // 
    1 2 3 4 // 4 // 3 2 // 2 // 2 5 // 5 // 4 3 // 
    1 2 3 4 // 4 // 3 2 // 2 // 2 5 // 5 // 4 3 ///
93
;

: scarborough  \ 2 ntranspose, 9 uniqs  or play in key of b%maj (2 flats, on B and E)
  cr ." Scarborough Fair, English Traditional"
  cstd
  140 bpm
  1 /// 1 5 /// 5 2   3% 2 1 ///
  5 7% 8 // 7% 5 6 4 5 ///
  8 8 // 8 7% // 5 5 4 3% 2 1 ///
  1 // 5 4 // 3% 2 1 << 7% >> 1 ///
47
;  

: lavender  \ 0 ntranspose, 6 uniqs
cr ." Lavender Blue, English Traditional"
cstd
240 bpm
  1 // 5 // 5 // 5 // 4 3 2 1     1 // 6 // 6 // 6 ///
  1 // 5 // 5 // 5 // 4 3 2 1     4 // 3 // 2 // 1 ///

  1 // 5 // 5 // 5 // 4 3 2 1     1 // 6 // 6 // 6 ///
  1 // 5 // 5 // 5 // 4 3 2 1     4 // 3 // 2 // 1 ///
80
;

: cockles \ 0 ntranspose, 6 uniqs
cr ." Cockles and Mussels, Irish Traditional"
cstd
240 bpm
    << 5 >> // 1 1 // 1 // 1 3 /// 
    1 1 // 2 /// 2 2 // 2 4 ///
    2 // 3 // 3 // 3 // 5 // 4 // 3 //  3 2 // 1 2  ///
    << 5 5 >> 1 // 1 1 // 1 3  ///
    1 // 2 // 2 2 // 2 4 ///
    3 1 5 3 // 1  // 5 3 //
    1 // 2 // 3 2 1 ///
83
;

\ ETHNOMUSIC

: sea  \ 2 ntranspose, 10 uniqs  or try in key of b%maj (2 flats on B and E)
\ try irish key
 cr ." Song of the Sea, by Lisa Hannigan"  \ https://en.wikipedia.org/wiki/Selkie
 cr ." From sountrack of the Irish animated film (2014) about a Selkie child and her brother."
  cstd
  170 bpm
     1 // 1 5 /// 5 6 4 5 ///
     1 // 1 5 /// 5 6 4    8 7% 6 5 ///
  >> 1 /// 2 /// 3% 4 3% 2 ///
     1 /// 2 /// 3% 4 3% 5 << ///
     1 // 1 5 // 5 6 4 5 ///
     1 // 1 5 // 5 6 4  8 7% 6 5 ///
66
;


: morning  \ 0 ntranspose, 9 uniqs
    cr ." Morning Has Broken, by Cat Stevens"
160 bpm
cstd
    1 3 5  >> 1 /// 2 << ///
    7 6 5 6 // 7 6 5 /// 
    1 3 5 5 /// 6 ///
    5 3 1 2 ///

    5 3 5 8 /// 6 ///
    5 3 1 1 // << 6 >> 1 2 // 
    
    3 2 3 5 /// 6 /// 
    2 3 // 2 1 /// 
61
;


\  PERSONAL COMPOSITIONS
\ Assad Ebrahim - Composition - 2020-06-28---Sun---21:53
: AE1 
    6 >> 1 3 << 6 >> 1 3 << 6 >> 1 3 <<
    5 7 >> 2 << 5 7 >> 2 << 5 7 >> 2 <<   5 >> 3 2 1 
    3 5 6   3 8 7   3 8 7    3 8 7 6 << ;
: AE2
    6 >> 1 3 <<  6 >> 1 3 <<  6 >> 1 3 << 
    >> 3 8 7  3 8 7   3 8 7 6 <<
    6 >> 1 3 <<  6 >> 1 3 <<  6 >> 1 3 << 
    >> 8 7 5  8 7 5  8 7 5 6 <<  ;
: AE3 
    6 >> 1 3 <<  6 >> 1 3   8 7 5  8 7 5 6 << ;  \ removing the last << takes it to the next octave - cool!
    
: yearning  
cr ." Yearning, by Assad Ebrahim"
cstd
180 bpm
ae2 ae3 ae1 ae3 
137 
;


: dreaming  \  by Meera Shah Ebrahim 2021-05-16---Sun---21:34
cr ." Dreaming, by Meera Shah Ebrahim"
160 bpm
cstd
>> 1 2 3  1 2 3  1 2 3 2 1 << 7 
7 8 >> 2 2  << 7 8 >> 2 2  7 8 >> 2 3 2 1
3 2 1 << 3 2 1   3 2 1 2 1 << 7 
7 >> 1 2 2  << 5 7 >> 2 2 << 5 7 >> 2 3 2 1
65
;

: together   \ Together, by Jasmine Sheherazade Ebrahim
cr ." Together, by Jasmine Sheherazade Ebrahim"
cstd
180 bpm
8  7  8 7 8 7 8 6 6 ///
7  6  7 6 7 6 7 5 5 ///
6  5  6 5 6 5 6 4 4 ///
5  4  3 8 8 3 4 ///
38
;


: snake  \ Snake Charmer, by Assad Ebrahim
cr ." Snake Charmer, by Assad Ebrahim"
cstd
240 bpm
 1  // 3  4 5 ///
 5  6% 5 6% 5 6% 4  // 5 ///
 1  // 3 4 5 ///
 3  4 // 3 4 // 3 4 3 // 1 ///
   
 1  // 3 4  5 ///
 5  6% 7% 6% 5 4 5 ///
 4  3 4 3 4 3 1 ///
 
 7% 6%  7% 6%  7% 6%  5 4  5 ///
 1 // 3 4 5 ///
 3 4 3 4 3 4 3 // 1 ///
82
;


: planets  \  Planets, by Assad Ebrahim - 2020-07-10---Fri---03:32
cr ." Planets, by Assad Ebrahim"
cstd
240 bpm
 3 5 6 
 3 5 6 // 8 7 6 5 6 ///
 13
;


: jimmy-boy  \ Jimmy Boy, by Assad Ebrahim  2020-07-15---Wed---03:38
cr ." Jimmy Boy, by Assad Ebrahim"
 c5maj
 180 bpm
 1 2 3 5  //  5 6 5 4 5 ///      \ oh jimmy-boy!  why are you running?
 1 2 3 5  //  5 4 3 3 4 ///      \ oh jimmy-boy!  what have you done?
 1 2 3 5  //  5 6 5 4 5 ///      \ oh jimmy-boy!  where will you run to?
 1 2 3 4  //  4 5 4 3 2 3  ///   \ oh jimmy-boy!  I fear your time has come.
45
;

\ Assad Ebrahim - 2021-05-12---Wed---05:18
: falling
cr ." Falling Down, by Assad Ebrahim"
160 bpm
cstd
\ this uses the pentatonic scale  5_ 7_ 1 2 4 5    g b c d f 
  2 5 4 2 1 2 ///       \ the walls came tumbling down
  << 8 7 8 7 8 7 5 /// \ falling, falling, falling down 
\ shifting to start on g
  >> 5 8 7 5 4 5 ///
   4 3 4 3 4 3 1 ///
32
;


\ CHILDRENS

: twinkle
cr ." Twinkle Twinkle, Nursery rhyme"
cstd
120 bpm
    1 1 5 5 6 6 5 ///
    4 4 3 3 2 2 1 ///
    5 5 4 4 3 3 2 ///
    5 5 4 4 3 3 2 ///
    1 1 5 5 6 6 5 ///
    4 4 3 3 2 7 8 ///  \ rise at end
    48
;

\ chords!
\ deviced by AE
: twinkle-chords
cr ." Twinkle Twinkle, Chorded arrangement by Assad Ebrahim"
\ 200 atempo!
360 bpm
major
1 '' 1 '' 1 '' 1 '' 4 '' 4 '' 1 '' 4/// ''  \ twinkle ... star
4 '' 4 '' 1 '' 1 '' 2 '' 2 '' 1 '' 4/// ''  \ how I ... you are
1 '' 1 '' 4 '' 4 '' 1 '' 1 '' 2 '' 4/// ''  \ up a ... so high
1 '' 1 '' 4 '' 4 '' 1 '' 1 '' 2 '' 4/// ''  \ like a ... the sky
1 '' 1 '' 1 '' 1 '' 4 '' 4 '' 1 '' 4/// ''  \ twinkle ... star
4 '' 4 '' 1 '' 1 '' 2 '' minor 3 '' major 1 '' \ how I ... you' are'  (go upwards in the voice)
twinkle
;


: mary
cr ." Mary had a Little Lamb"
cstd
120 bpm
    3 2 1 2 3 3 3 //
    2 2 2 //
    3 5 5 ///
    3 2 1 2 3 3 3 // 1 2 2 3 2 1 ///
31 
;

: doh
cr ." Doh a Deer, from the Sound of Music soundtrack"
cstd
200 bpm
    1 // 2 3 // 1 3 1 3 ///
    2 // 3 4 4 3 2 4 ///
    3 // 4 5 // 3 5 3 5 ///
    4 // 5 6 6 5 4 6 ///
    5 // 1 2 3 4 5 6 ///
    6 // 2 3 4 5 6 7 ///
    7 // 3 4 5 6 7 8 ///
    8 7 6 4 7 5 8 //
    1 2 3 4 5 6 7 8 ///
82
;

: alouette 
cr ." Alouette, French traditional"
cstd
240 bpm
    1 // 2 3 3 //
    2 1 2 3 1 // << 5 >> ///
    1 // 2 3 3 //
    2 1 2 3 1 ///
    1 2 3 4 5 5 5 //
    5 6 5 4 3 2 1 ///
    5 5 5 ///
    1 1 1 ///
    5 5 5 ///
    1 1 1 ///
    5 4 3 2 1 // 1 \ repeat
66
;


: row-row
cr ." Row Row Row your Boat, Nursery rhyme"
cstd
180 bpm
    1 // 1 // 1 2 3 //
    3 2 3 4 5 ///
    8 8  5 5  3 3 1 1 
    5 4 3 2 1 ///
28
; 

: london-bridge
cr ." London Bridge is Falling Down, Nursery rhyme"
cstd
180 bpm
    5 6 5 4 3 4 5 //
    2 3 4 // 3 4 5 ///
    5 6 5 4 3 4 5 //
    2 // 5 // 3 1 ///
31
;

\ jack and jill

: weasel  
cr ." Pop Goes the Weasel, Nursery rhyme"
cstd
180 bpm
    1 // 1 2 // 2 3 5 3 1 ///
    << 5 >> 1 // 1 2 // 4 3 // 1 ///
    << 5 >> 1 // 1 2 // 2 3 5 3 1 /// 
    6 // 2 // 4 3 // 1 ///
    8 // 8 6 // 8 7 // 7 5 //
    5 8 // 8 6 // 8 7 // 7 5 //
    4 // 3 4 / 5 6 // 7 8 //
    8 // 2 // 4 3 // 1 ///
88
;
    
\ little bo peep


\ baa baa black sheep
: baa
cr ." Baa Baa Black Sheep, Nursery rhyme"
cstd
160 bpm
  1 // 1 // 5 // 5 // 6 7 8 6 5 ///
  4 // 4 // 3 // 3 // 2 // 2 // 1 ///
  5 // 5 5 4 // 4 4 3 // 3 3 2 ///
  1 5 // 5 5 4 5 6 4 3 // 2 2 // 1 ///
58
;


: frere 
cr ." Frere Jacques, French Traditional"
cstd
140 bpm
     1 2 3 1   1 2 3 1  
     3 4 5 ///  3 4 5 ///
     5 6 5 4 3 1   5 6 5 4 3 1 
     1 << 5 8 ///   8 5 8 >> ///
38
;


: robin-hood
cr ." Robin Hood and Little John, English Traditional"
160 bpm
cstd
    2 // 2 // 2 // 3 4 5 // 5 // 5 //
    6 7 8 // 5 // 5 6 5 4 3 // 1 //
    5 // 1 1 1 3 4 5 5 5 //
    6 7 8 // 5 // 5 6 5 4 3 1 //
    5 6 // 6 // 6 // 5 4 3 4 5 6 5 //
    6 7 8 // 5 // 5 6 5 4 3 /// 1 //
81
;

\ bonnie lies over the ocean
: bonnie
cr ." My Bonnie Lies Over the Ocean, Scottish Traditional"
140 bpm
cstd
    1 6 5 4 5 4 2 1 << 6 >> ///
    1 6 5 4 4 3 4 5   ///
    1 6 5 4 5 4 2 1 << 6 >> ///
    1 2 5 4 3 2 3 4  ///
    
    1 /// 4 // 3 2 /// 5 // 4 3 3 3 3 2 3 4 // 5 6 ///
    1 /// 4 // 3 2 /// 5 // 4 3 3 3 3 2 3 4 ///
81
;

: bday \ 8 uniqs
cr ." Happy Birthday"
140 bpm
cstd
    1 1 2 1 4 3 ///
    1 1 2 1 5 4 ///
    1 1 8 6 4 3 2 ///
    7% 7% 6 4 5 4 ///
29
;


\ old macdonald



: uk-anthem  \ 7 ntranpose, 7 uniqs
cr ." God Save Our Queen (UK National Anthem)"
cr ." (also in US: My Country 'Tis)"
140 bpm
cstd
    4 4 5 3 // 4 5 //
    6 6 7% 6 // 5 4 //
    5 4 3 4 // 
    4 5 6 7% //
    8 8 8 8 // 7% 6 //
    7% 7% 7% 7% // 6 5
    6 // 7% 6 5 4 6 // 7% 8 
    >> 2 << 7% 6 // 5 // 4 ///
61
; 

\ star spangled banner
: USA \ -5 ntranspose, 11 uniqs
cr ." Star Spangled Banner (US National Anthem)"
cr ."   by Francis Scott Key"
cstd
140 bpm
    8 6 4 // 6 // 8 // >> 4 ///
    6 // 5 4 << //
    6 7% 8 ///
    8 8 >> 6 // 5 4 3 ///
    2 3 4 // 4 // 1 // << 6 // 4 ///
    8 6 4 // 6 8 >> 4 ///
    6 5 4 // << 6 7% 8 ///
    8 8 >> 6 /// 5 4 // 3 ///
    2 3 4 // 4 // 1 // << 6 // 4 ///
    >> 6 6 6 // 7% 8 8 /// 
    7% 6 5 // 6 7% 7% ///
    7% // 6 // 5 4 3 ///
    2 3 4 << 6 7% 8 ///
    8 // >> 4 // 4 // 4 3 2 // 2 // 2  // 5 6 7% 6 5 4 4 /// 3 ///
    1 // 1 4 // 5 6 7% 8 ///
    4 5 6 // 7% // 5 // 4 /// <<
163
;     

\ Kenyan Anthem

\ AMERICAN FOLK SONGS

\ swing low sweet chariot
: chariot
cr ." Swing Low, Sweet Chariot, American Spiritual"
cstd
120 bpm
    6 4 /// 6 4 // 4 2 1 ///
    4 4 4 5 6 6 8 // 8 ///
    >> 2 << 8 6 /// 8 4 // 4 2 1 ///
    4 4 4 5 6 6 5 // 4 ///
43
;

\ yankee doodle

\ michael finnegan
: finnegan
cr ." Michael Finnegan, American Traditional"
cstd
240 bpm
    1 // 4 4 4 4 // 6 8 8 // 6 5 4 ///
    5 5 5 5 4 5 // 3 2 1 ///
    4 // 4 4 4 // 6 8 8 // 6 5 4 ///
    5 5 1 1 4 4 4  // 1 4 4 4 ///
53
;

: home  \ 7 ntranspose, 8 uniqs
cr ." Home on the Range, Cowboy Traditional"
\ or 1 flat in the scale of F major
cstd
180 bpm
  1 1 4 5 6 //  \ oh give me a home ... 
  4 3 2 // 7% 7% 7% //
  6 7% 8 // 4 4 4 3 4 5  ///
  1 1 1 4 5 6 //
  4 3 2 // 7% 7% 7% ///
  7% 7% 6 // 5 4 3 // 4 5 4 ///
  
  8 // 7% 6 // 5 6 ///
  1 1 // 4 // 4 4 4 3 4 5 ///
  1 1 1 4 5 6 //
  4 3 2 // 7% 7% 7% ///
  7% 7% 6 // 5 4 3 4 5 4 ///
98
;

\ america the beautiful

    
\ drunken sailor


: susanna  \ 1 ntranspose
cr ." O Susanna!, American Traditional"
cstd
180 bpm
    4# 5# 6# >> // 1# 1# // 2# 1# << 6# 4# 5# 6# 6# 5# 4# 5# ///
    4# 5# 6# >> // 1# 1# // 2# 1# << 6# 4# 5# 6# 6# 5# 5# 4# ///
40
;    

\ she'll be coming round the mountain
: mountain \ 1 ntranspose
cr ." She'll Be Coming Round the Mountain, American Traditional"
cstd
240 bpm
    1# // 2# // 4# 4# 4# 4#  2# 1# 1# 2# 4# ///
    4#  5#   //   6# 6# 6# 6# 8# 6# 5# 4# 5# ///
    8# 8#    // 6# 6# 6# 6# 5# 4# /// 
    2#  2#      2# 2# 6# 6# ///
    6#  6#      6# 6# 5# 5# 6# 5# 4# ///
54
;

: saints 
cr ." O When the Saints!, American Traditional"
cstd
180 bpm
   1 3 4 5 ///
   1 3 4 5 ///
   1 3 4 5 // 3 // 1 // 3 // 2 ///
   3 3 2 1 // 1 3 // 5 5 5 4 ///
   3 4 5 3 // 1 // 2 // 1 ///
47
;

\ naussau


: cowboy  \ 2 ntranpose
cr ." Cowboys Lament, Cowboy Traditional"
cr ." famously covered by Johnny Cash"
\ https://en.wikipedia.org/wiki/Bury_Me_Not_on_the_Lone_Prairie
cstd
140 bpm
\ alt: Chinese yu scale
  1 /// 3% 3% // 5 // 7% ///  \ oh bury me not...
  8 7% 5 // 3% // 5 ///
  1 1 // 3% 5 4 ///
  5 4 3% // 1 3% ///
31
;  

: betsy  
cr ." Sweet Betsy From Pike, Cowboy Traditional"
cstd
160 bpm
  1 1 3 5 5 4 2 2 1 << 7 >> 1 ///  \ oh do you remember ... 
  1 1 3 5 8 8 8 8 5 5 5 ///
  5 8 8 8 7 5 3 4 5 6 5 ///
  1 2 3 3 3 5 4 2 2 1 << 7 >> 1 ///
53
; 

: smokey   \ note - this is the basis for "Oh Where O Where Can My Baby Be"
cr ." On Top of Old Smokey, American Traditional"
cstd
140 bpm
  1 1 3 5 8 ///  6 ///
  6 4 5 6 5 ///
  1 1 3 5 5 /// 2 ///
  3 4 3 2 1 ///

  1 1 3 5 8 /// 6 ///
  6 4 5 6 5 ///
  1 1 3 5 5 /// 2 ///
  3 4 3 2 1 ///
56
;


: silent-night  \ 2 ntranpose
cr ." Silent Night, Christmas Traditional"
cstd
140 bpm
    4 // 5 4 2 ///
    4 // 5 4 2 ///
    7% // 7% 5 /// 
    6 // 6 4 ///
    5 // 5 7% // 6 5 // 4 // 5 4 // 2 ///
    5 // 5 7% // 6 5 // 4 // 5 4 // 2 ///
    >> 1 // 1 3% // 1 << 6 // 7% // >> 2 ///
    << 7% 4 2 4 // 3% 1 // << 7% /// >>
80
;

: christ \
cr ." Chris is Alive!, Hymn"
cstd
240 bpm
8 // 7 // 6 5 // 4 3 // 2 // 1 ///
5 6 // 6 7 // 7 8 ///
8 8 8 8 7 6 5 5 4 3 ///
8 8 8 8 7 6 5 5 4 3 ///
3 2 2 2 2 3 4 ///
1 1 1 1 2 3 ///
3 2 1 8 // 6 5 // 4 3 // 2 // 1 ///
75
;

\ jingle bells

\ JASMINE SECTION

: iris
cr ." Iris, by the Goo-Goo Dolls"
cstd
180 bpm
2 2 6 6 6 5 // 4# 2 3 ///
11
;

: mo-mem
cr ." Mountain of Memories, by Jasmine Sheherazade Ebrahim"
;



: fernando ;

\ axle-f

\ chopstix

\ snoopy

: silence 
cr ." Sound of Silence, by Simon and Garfunkel"
cstd
160 bpm
 2 2 4 4 6 6 5 ///
 1 1   1 3   3 5   5 4 ///
 4 4 4 6 6 8 8 >> 2 // 2 1 << ///
 4 4 6 6 8 8 >> 2 // 2 1 << ///
 4 4 >> 2 /// 2 3 4 4 /// 3 2 // 1 ///
 2 1 << 6 // 5 4 /// 4 4 4 8 ///
 3 // 4 2 ///
 77
;  

: silence-arpeg
cstd
200 atempo!
120 bpm
   arpeg-maj1323
   >// minor d_  ;; d_  ;; d_  ;; d_ note
   >// major c_  ;; c_  ;; c_  ;; c_ note
   >// major f_  ;; f_  ;; f_  ;; b%_ ;; f_ ;;  
   >// major f_  ;; f_  ;; f_  ;; b%_ ;; f_ ;;
   >// major f_  ;; b%_ ;; b%_ ;; b%_ ;; b%_ ;; f_ ;;
   >// minor d_  ;; d_  ;;  major f_  ;; f_ ;;  c_ ;; c_ ;;
   >// minor d_  ;; d_  ;; d_ ;; d_ note
 ;

: [silence-v1] 
   2 2 4 4 6 6 5 /// 8 [watch]                                                              \ hello darkness my old friend
   major c_  ;; c_  ;;  1 1   1 3   3 5   5 4 // 9 [watch]                     \ i've come to talk with you again
   major f_  ;; f_  ;;  4 4 4 6 6 8 8 >> 2 /// 2 1 << // 14 [watch]             \ because a vision softly creeping
   major f_  ;; f_  ;;  4 4 6 6 8 8 >> 2 /// 2 1 << // 13 [watch]              \ left its seeds while i was sleeping
   major f_  ;; f_  ;;  4 4 >> 2 2 3/// 2 3 4 4 3/// 3 2 /// 1 4/// 16 [watch]  \ and the vision    that was planted   in my brain  
   >> 2 1 << 6  /// // //  8 [watch]  ( minor d_ ;; )                                           \ still remai-- 
   5 // 4   // //          5 [watch]  ( major f_ ;; )                                           \ aay-- ains 
   4 4 4 8 //         5 [watch]  major c_ ;;                                             \ within the sound
   /// // 3 // 4 2       6 [watch]  minor d_ ;; d_ ;;                                    \ of    silence
   4/// 1 [watch]
;

: [silence-v2] 
   2 2 2 4 4 6 4 5 /// 9 [watch]                                                          \ in restless dreams I've walked alone  [diff tune]
   major c_  ;; c_  ;;  3 3   3 3   5   5 4 // 8 [watch]                     \ narrow streets of cobble stone [diff tune]
   major f_  ;; f_  ;;  4 4 6 6 8 8 >> 2 /// 2 1 << // 13 [watch]            \ 'neath the halo of a a street lamp
   major f_  ;; f_  ;;  4 4 6 6 6 8 8 >> 2 /// 2 1 << // 14 [watch]           \ i turned my collar to the cold and damp
   major f_  ;; f_  ;;  4 4 >> 2 /// 2 2 /// 2 3 4 /// 4 4 3 2 // 1 4/// 19 [watch]    \ when my eyes were stabbed by the flash of a neon light
   4 >> 2 1 << 6  /// // //  9 [watch]  ( minor d_ ;; )                                         \ that split the ni--
   5 // 4   // //          5 [watch]  ( major f_ ;; )                                         \ i-- ight
   4 4 4 8 //         5 [watch]  major c_ ;;                                           \ and touched the sound
   /// // 3 // 4 2       6 [watch]  minor d_ ;; d_ ;;                                  \ of silence
   4/// 1 [watch]
;

: silence-2voice
cr ." Sound of Silence, by Simon and Garfunkel"
cr ." Written by Garunkel as a tribute to his friend Greenberg who went blind in university"
cr ." Covered brilliantly by Disturbed"
cstd
arpeg-maj1323
240 atempo!
200 bpm
   minor d_  ;; d_  ;;  // 1 [watch]
   cr ." Verse 1: Hello darkness my old friend ..." cr
   [silence-v1]  \ Hello darkness ...
   cr ." Verse 2: In restless dreams I've walked alone ..." cr
   [silence-v2]  \ In restless dreams ...
   cr ." Verse 3: And in the naked light I saw ..." cr
   [silence-v2]  \ And in the naked light ... 
   cr ." Verse 4: Fools said I you do not know ..." cr
   [silence-v2]  \ Fools said I ...
   cr ." Verse 5: Then the people bowed and prayed ..." cr
   [silence-v2]  \ Then the people bowed and prayed ...
   cr ." The End!"
   cr
 ;
\ Sound of Silence meaning: https://www.nspirement.com/2020/10/04/the-untold-story-behind-simon-and-garfunkel-song-the-sound-of-silence.html
\ Paul Simon: https://www.britannica.com/biography/Paul-Simon
\ The sad story of a marvelous musical duo who could not trust each other or get along: https://www.smoothradio.com/artists/simon-garfunkel/feud-friendship-story-facts-fallout/
\ Paul Simon & Carrie Fisher: https://faroutmagazine.co.uk/the-song-paul-simon-wrote-for-carrie-fisher/
\ TODO: add recording of the timing, or pace recording because this timing method is laborious
  

: bridge 
cr ." Bridge Over Troubled Water, by Simon & Garfunkel"
cr
cstd
140 bpm
7% 7% 6 5 4 ///
13 8 // 6 ///
>> 2 2# 2 1 // 4 2 ///
2 1 // << 6 5 4 ///
6 5 4 5 ///
8 /// 8 6 5 4 4 5 6 ///
>> 1 6 5 4 5 5 ///
6 5 4 // 3 2 1 2 1 << 6 8 ///
>> 1 4 5 // 5 6 4 ///
6 5 7% // 6 5 6 7% 6 5 4 ///
6 6 5 // 5 6 4 ///
6 5 7% // 6 5 6 7% 6 5 4 ///
7% 7% 6 /// 6 /// 4 ///
<<
114
;

\ DESIGN: Bluegrass with harmony, sometimes dissonant
: countryroad
  cr ." Take me Home, Country Road"
  cr ." covered by John Denver"    \ url: https://www.youtube.com/watch?v=IUmnTfsY3hI
  cr ." covered by The Petersens"  \ url: https://www.youtube.com/watch?v=qap9Qm-Q894
  \ url: https://www.youtube.com/watch?v=rCIXjYo9qs4  \ Duet on Guitars
  \ url: https://www.youtube.com/watch?v=uGu-cESbm4I  \ low duet, male female
  \ url: https://www.youtube.com/watch?v=focWsuh7a2M  \ 7yo
  \ url: https://www.youtube.com/watch?v=QgvM1NarTA4  \ Dutch Senior
  \ url: https://www.youtube.com/watch?v=zTs8N-Srm70  \ Jon Rafferty - UK 
cstd  \ or 1flat
240 bpm
7% >> 1 2 ///           \ Country roads
2 1 << 7% >> 1  ///     \ Take me home
2 1 << 7% ///           \ To the place
7% >> 2 4 5 ///         \ Where I belong!
5 4 4 2 ///             \ West Virginia
1 << 7% >> 1 2 ///      \ Mountain mama
2 1 << 7% >> 1  ///     \ Take me home
<< 5 7% 7% ///          \ Country roads
47 
;

: countryharmony1
cstd
240 bpm
7% >> 1   4 ///
2 1 << 7% >> 4 ///
2 1 << 5 ///
5 >> 2 4 7% ///
7% 5 5 4 ///
1 << 7% >> 1 << 5 ///
>> 4 2 << 5 ///
1  4  >> 2 ///
47
;


: stay \ 2021-09-25---Sat---16:26
cr ." Can't Stay, by Assad Ebrahim, based on a musical theme by Jasmine Ebrahim"
cr
cstd
180 bpm
1 2 3 5 ///  \ If I should stay
1 2 3 5 ///  \ what would you say?
1 2 3 4 // 3 // 2 // 1 // 3 /// \ could we be as we were before?

1 2 3 5 ///  \ what if I go?
1 2 3 5 ///  \ would you say no?
1 2 3 4 // 3 // 2 // 1 // 4 // 3 // 5 /// \ would I find what i've been looking for?

>> 
1 1 2 3 5 ///  \ So come back to me
1 1 2 3 5 ///  \ Why don't you just see
1 2 1 4 // 3 // 2 // 4 \ we still could be so much more

1 4 4 4 3 ///           \ or maybe it's me
1 3 2 3 5 ///           \ who won't be happy 
1 1 4 3 // 2 // 1 // 2  \ and there's no point keeping score

1 ///  \ so....

<< 
1 5 4 3 1      \  I've made up my mind
1 5 4 3 1      \  we're all out of time
1 5 4 3 2      \ i've carried this load
2 3 4  6       \ and it's been .....  fine

1 5 4 3 2      \ let's try one more time
1 5 4  2 4 3 1 \ you give yours and i'll give mine
\ we can build love again, 
\ one by one  turn by turn  healing words  kindness works

>> 
1 1 2 3 5 ///  \ So come back to me
1 1 2 3 5 ///  \ And will you now see
1 2 1 4 // 3 // 2 // 4 \ we can be so much more

1 4 4 4 3 ///           \ forget destiny
1 3 2 3 5 ///           \ or love setting free
1 1 4 3 // 2 // 1 // 2  \ it's work but it's our way
<<

1 5 4 3 1      \  ...
1 5 4 3 1      \  ...
1 5 4 3 2      \ ...
2 3 4  6       \ ...
194
;

: life  \ 2021-09-26---Sun---05:29
cr ." In My Life, by Assad Ebrahim"
cstd
180 bpm
\ Key d_ but lowered in the 5th by 1 semitone  0 +4 +1 
cstd
2 4# 5 ///              \ In my life
5 5 4# 5 6 5 4# 2 ///   \ It isn't often I've belonged 
2 4# 5 ///              \ In my life
5 5 4# 5 6 5 4# 2 ///   \ Because of which I've often ignored 

1 3 4 ///               \ Carelessly
5 5 4# 5 6 5 4# 2 ///   \ The things that others can bring
1 3 4 ///               \ While I strived
5 5 4# 5 6 5 4# 2 ///   \ To bring out all the best i could bring

4# 6# 7 ///             \ Then I saw
5 5 4# 5 6 5 4# 2 ///   \ That there's a limit to how
4# 6# 7 ///             \ Far-I could go
5 5 4# 5 6 5 4# 2 ///   \ Without opening up 

2 4# 5 ///              \ So I let go
5 5 4# 5 6 5 4# 2 ///   \ And embraced it all
2 4# 5 ///              \ 
5 5 4# 5 6 5 4# 2 ///   \ 

1 3 4 ///               \ 
5 5 4# 5 6 5 4# 2 ///   \ 
1 3 4 ///               \ 
5 5 4# 5 6 5 4# 2 ///   \ 
130 
; 

: arpeg-demo-mysid  
\ Beautiful Arpeggio example by mysid: https://upload.wikimedia.org/wikipedia/commons/8/80/Arpeggio.ogg
\ Arranged by Assad Ebrahim - 2021-10-10---Sun---06:35
\ Design: A falling fifth and octave (majrev50) sounds better than a fifth and third (majrev53)
cstd
600 atempo!
\ 50 bpm
( arpeg-beat3 )
arpeg-majrev50
c' ;; c' ;; c' ;; c' ;;
b%_ ;; b%_ ;; b%_ ;; b%_ ;;
a_ ;; a_ ;; b%_ ;; a_ ;; 
g_ ;; g_ ;; g_ ;; g_ ;;

c' ;; c' ;; c' ;; c' ;;
b%_ ;; b%_ ;; b%_ ;; b%_ ;;
a_ ;; a_ ;; b%_ ;; a_ ;; 
g_ ;; g_ ;; g_ ;; g_ ;;
120 bpm
8 8 8 8 8 8 8 8 8 8 8 8 
7% 7% 7% 7% 7% 7% 7% 7% 7% 7% 7% 7%
6 6 6 6 6 6 7% 7% 7% 6 6 6
5 5 5 5 5 5 5 5 5 5 5 5
48
;

: jingle-startup
\ startup jingle, composed by Assad Ebrahim
cstd
800 bpm
1 2 3 4 6 8 6 8 >> 3 <<
11 
;

: jingle-startup-low
\ composed by Assad Ebrahim
cstd
800 bpm
3 5 7 1 2 3 5 << 1 >> 
11
;
: jingle-startup-high
\ composed by Assad Ebrahim
cstd
800 bpm
1 2 3 5 7 8 >> 3  5 <<
10 
;

: jingle-startup-cmaj  \ pentatonic 
\ composed by Assad Ebrahim
cstd
800 bpm
<< 5  7 >> 1 2 3 5 6 8
10 
;

: jingle-startup-dmin  \ 1 flat, 1 sharp
\ composed by Assad Ebrahim
cstd
800 bpm
2 3 4 5 6 7% >> 1# 2 <<
10 
;

: jingle-startup-1flat
\ composed by Assad Ebrahim
cstd
800 bpm
4 4 5 6 6 6 7% 5
8 
;

: jingle-startup-2flats
\ composed by Assad Ebrahim
cstd
800 bpm
1 2 3% 4 5 6 7% 8
8 
;

: jingle-startup-5flats
\ composed by Assad Ebrahim
cstd
800 bpm
<< 6% 7% >> 1 2% 3% 4 5% 6%
10 
;

: jingle-startup-bhairav
\ composed by Assad Ebrahim
cstd
800 bpm
1 2% 3 4 5 6% 7 8
8
;


: speech-right  \ good, yes -- ends in a minor key to anticipate an uncertain continuation - one has to keep being good
\ composed by Assad Ebrahim
cstd
600 bpm
5 6 7%
3
;

: speech-wrong  \ no   --- ends in a minor key to anticipate an uncertain continuation - redemption is possible
\ composed by Assad Ebrahim
cstd
600 bpm
5 7% 6
3
;

: speech-confirm  \ last 2 of good/yes -- good for command confirmations
\ composed by Assad Ebrahim
cstd
600 bpm
6 7%
2
;

: start-fragment \ 
cstd
240 bpm
1 // 2 3 1 // 4 6 8 
9 
;

\ add axle-f on black keys, or 5flats mode
\ canon in d, starting from 8...



\ chords
: A.::  a_ c' e' ;


\ ======================================

: help-compose
cr 
cr ." How to compose your own songs?"
cr ." Find a riff that attracts you."
cr ." Feel the words that attach."
cr ." Hook into a storyline, narrative, emotional frame that expresses something you want to express or explore."
cr ." Expand it out musically."
cr ." Remembering: "
cr ."    (1) frugal word use, "
cr ."    (2) repeating rhythmic framework, "
cr ."    (3) repeating with variation melodic framework, "
cr ."    (4) two's and four's as transition markers "
cr ."    (5) choose: do you want positive (upbeat) or negative (downbeat) appeal?"
cr 
;

create songs
  ' new-harp      ,   ' ode            ,   ' jesu           ,  ' elise        ,
  ' memory        ,   ' stairway       ,   ' dream          ,  ' wings        ,
  ' hallelujah    ,   ' fire           ,   ' rainbow        ,  ' room         ,
  ' star-wars     ,   ' top-gun        ,   ' letitgo        ,  ' sea          ,
                                                                              
  ' reason        ,   ' the-rose       ,   ' silence-2voice ,  ' bridge       , 
  ' morning       ,   ' scarborough    ,   ' lavender       ,  ' cockles      ,
  ' daffodils     ,   ' cowboy         ,   ' betsy          ,  ' smokey       ,
  ' home          ,   ' chariot        ,   ' finnegan       ,  ' susanna      ,
                                                                              
  ' twinkle       ,   ' twinkle-chords ,   ' doh            ,  ' mary         ,
  ' baa           ,   ' mountain       ,   ' bonnie         ,  ' robin-hood   ,
  ' frere         ,   ' alouette       ,   ' uk-anthem      ,  ' usa          ,
  ' london-bridge ,   ' weasel         ,   ' row-row        ,  ' bday         ,
                                                                              
  ' yearning      ,   ' dreaming       ,   ' together       ,  ' snake        ,
  ' falling       ,   ' mo-mem         ,   ' stay           ,  ' life         ,
  ' planets       ,   ' jimmy-boy      ,   ' iris           ,  ' silent-night , 
  ' classic1      ,   ' canon          ,   ' countryroad    ,  ' arpeg-demo-mysid  ,


: [playlist]
cr 
cr ."  PLAYLIST (67 tunes)"
cr ."  -------------------"
cr ."  LIST A:"
cr ."    1-4:    *new-harp       *ode           jesu             elise"
cr ."    5-8:    *memory         *stairway      *dream           *wings"
cr ."   9-12:    hallelujah      fire           rainbow          room"
cr ."  13-16:    star-wars      *top-gun        letitgo          sea"
cr ."  LIST B:"                               
cr ."    1-4:    *reason        *the-rose       silence-2voice   bridge"
cr ."    5-8:    *morning       *scarborough    *lavender        *cockles"
cr ."   9-12:    *daffodils     cowboy          betsy            smokey"
cr ."  13-16:    home           chariot         finnegan         susanna"     
cr ."  LIST C:"
cr ."    1-4:    twinkle        twinkle-chords  doh              mary"
cr ."    5-8:    baa            mountain        bonnie           robin-hood"
cr ."   9-12:    frere          alouette        uk-anthem        usa"
cr ."  13-16:    london-bridge  weasel          row-row          b-day"
cr ."  LIST D:"
cr ."    1-4:    yearning       dreaming        together         snake"
cr ."    5-8:    falling        mo-mem          stay             life"
cr ."   9-12:    planets        jimmy-boy       iris             silent-night"
cr ."  13-16:    classic1       canon           countryroad      arpeg-demo-mysid"
cr ."         ( green-day  jesu-c   jesu-g toccata  christ  silence saints ) "
cr
;

: playlist [playlist] help-compose ;

[playlist]
